## pho-0.9.8.tar.gz

=== Makefile ===
# Makefile for pho

VERSION = 0.9.8

# Locate the gtk/gdk libraries (thanks to nev for this!)
GTKFLAGS := $(shell pkg-config --cflags gtk+-2.0 gdk-2.0 2> /dev/null)
CFLAGS += -g -Wall -pedantic -DVERSION='"$(VERSION)"' $(GTKFLAGS)

XLIBS := $(shell pkg-config --libs gtk+-2.0 > /dev/null)
GLIBS := $(shell pkg-config --libs gtk+-2.0 gdk-2.0)

CWD = $(shell pwd)
CWDBASE = $(shell basename `pwd`)

INSTALL = /usr/bin/install -D

INSTALLPREFIX = ${DESTDIR}/usr/local

TARFILE = pho-$(VERSION).tar.gz

EXIFLIB = exif/libphoexif.a -lm

SRCS = pho.c gmain.c phoimglist.c gwin.c imagenote.c gdialogs.c keydialog.c

# winman.c

OBJS = $(subst .c,.o,$(SRCS))

pho: $(EXIFLIB) $(OBJS)
	$(CC) -o $@ $(OBJS) $(EXIFLIB) $(GLIBS) $(LDFLAGS) -lm

cflags:
	echo $(CFLAGS)

all: pho xpho

$(EXIFLIB): exif/*.c
	(cd exif && $(MAKE))

tar: clean $(TARFILE)

$(TARFILE): 
	( make clean && \
	  cd .. && \
	  tar czvf $(TARFILE) --exclude=.svn --exclude=.git --owner=root $(CWDBASE) && \
	  mv $(TARFILE) $(CWD) && \
	  echo Created $(TARFILE) \
	)

rpm: $(TARFILE)
	cp $(TARFILE) /usr/src/redhat/SOURCES/$(TARFILE)
	rpm -ba pho.spec
	cp /usr/src/redhat/RPMS/i386/pho-$(VERSION)*.rpm .
	cp /usr/src/redhat/SRPMS/pho-$(VERSION)*.rpm .

deb: pho
	dpkg-buildpackage -rfakeroot

install: pho
	$(INSTALL) pho $(INSTALLPREFIX)/bin/pho
	$(INSTALL) pho.1 $(INSTALLPREFIX)/man/man1/pho.1

clean:
	rm -f *.[oas] *.ld core* pho xpho pho-*.tar.gz *.rpm
	rm -f build-stamp configure-stamp
	rm -rf debian/pho
	cd exif; make clean

=== exif/Makefile ===
# Makefile for pho/exif

EXIFLIB = libphoexif.a

CFLAGS += -Wall -g -O2 -I../include

SRCS = jhead.c jpgfile.c exif.c phoexif.c

# Next line is gmake-specific:
#OBJS = $(subst .c,.o,$(SRCS))
# so here's a simpler line that doesn't break the FreeBSD build:
OBJS = jhead.o jpgfile.o exif.o phoexif.o

$(EXIFLIB): $(OBJS)
	ar cr $(EXIFLIB) $(OBJS)
	ranlib $(EXIFLIB)

clean:
	rm -f *.[oas] *.ld core* $(EXIFLIB)

=== debian/changelog ===
pho (0.9.8) unstable; urgency=low
  * Add -p resolution option, for use with projectors.
  * -c now allows custom specification of caption/comment file.
  * Contributions from david <somloieater@gmail.com> Sun, 8 Apr 2011 11:15:00 +0200
 -- Akkana Peck <akkana@shallowsky.com>  Mon, 3 Sep 2012 19:27:00 -0800

pho (0.9.7) unstable; urgency=low
  * Add ability to add new image files or change the list without restarting.
  * Reorganize some scaling options.
  * More configurable PHO_REMOTE variable.
  * Allow up to 31 notes flags.
  * Swap meanings of f and F.
  * Lots of code cleanup and reliability fixes.
  * add .cap file support for captions - read into comment field
    and saved on exit
  * Contributions from david <somloieater@gmail.com> Sun, 8 Apr 2011 11:15:00 +0200
 -- Akkana Peck <akkana@shallowsky.com>  Mon, 3 Sep 2012 19:27:00 -0800

pho (0.9.6) unstable; urgency=low

  * Add Keyword mode.
  * Add slideshow mode.
  * Swap -f and -F.
  * Add PHO_REMOTE environment variable.
  * Simplify exif/Makefile so it'll work on FreeBSD and other systems where make is non-GNU make. 
  * Change the list next/prev code to fix (I hope) a bug where pho would get confused and cycle from the last image back to the first. 
  * Lots of performance and stability work.

 -- Akkana Peck <akkana@shallowsky.com>  Sun, 9 Nov 2008 16:20:00 -0800

pho (0.9.5) unstable; urgency=low

  * Code cleanup: rewrote the image list handling to use a linked list.
  * Port to gtk2, and build under either gtk1 or gtk2.
  * Add new "fullscreen mode" (e.g. for presentations, or for difficult
    window managers).
  * Add handling of PHO_ARGS environment variable
  * Added a workaround for Metacity's evil window size handling.
  * Lots of bug fixes.

 -- Akkana Peck <akkana@shallowsky.com>  Mon, 20 Mar 2007 21:25:00 -0800

pho (0.9.2) unstable; urgency=low

  * Don't try to move the window unless the image size has changed
    (fix the annoying bug where pho wouldn't let you move windows).
  * Fix a crash after dismissing the info dialog by clicking
    on the windowmanager "X".

 -- Akkana Peck <akkana@shallowsky.com>  Tue, 30 Sep 2003 23:24:01 -0800

pho (0.9.1) unstable; urgency=low

  * Rusty Russell: fix an off-by-one error in rotation code,
    eliminating the need to allocate more memory than needed.
  * Brian Langenberger: bracket printed filenames with quotes if
    they contain spaces or quote characters.

 -- Akkana Peck <akkana@shallowsky.com>  Wed, 26 Feb 2003 23:24:01 -0800

pho (0.9) unstable; urgency=low

  * Add EXIF handling, using code from jhead.
  * Fix some build errors, and release 0.9.

 -- Akkana Peck <akkana@shallowsky.com>  Wed,  8 Jan 2002 23:24:01 -0800

pho (0.8-1) unstable; urgency=low

  * Initial Debian Release.

 -- Akkana Peck <akkana@shallowsky.com>  Tue,  15 Oct 2002 21:49:27 -0700

=== debian/control ===
Source: pho
Section: x11
Priority: optional
Maintainer: Akkana Peck <akkana@shallowsky.com>
Build-Depends: debhelper (>> 3.0.0), libgtk2.0-dev
Standards-Version: 3.5.2

Package: pho
Architecture: any
Depends: ${shlibs:Depends}
Description: A fast, lightweight image browser.
 For more information, please see http://www.shallowsky.com/software/pho.html

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/pho.sgml > pho.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/pho.
	#install -d $(CURDIR)/debian/tmp/usr/bin
	#install -d $(CURDIR)/debian/tmp/usr/man/man1
	install -D -m 755 pho $(CURDIR)/debian/pho/usr/bin/pho
	install -D -m 644 pho.1 $(CURDIR)/debian/pho/usr/share/man/man1/pho.1
	#ls -lR $(CURDIR)/debian/pho
	#dh_builddeb -a

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
